retrieveReport v2

Reporting
Reports
retrieveReport

Retrieves metadata about a specific Report template, including its name, description, and the parameters it accepts. It’s useful for understanding the capabilities and requirements of a particular Report before requesting a ReportRun.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    The unique identifier of the Report object.

Returns

Response attributes

  • idstring

    The unique identifier of the Report object.

  • objectstring, value is "v2.reporting.report"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • namestring

    The human-readable name of the Report.

  • parametersmap

    Specification of the parameters that the Report accepts. It details each parameter’s name, description, whether it is required, and any validations performed.

403report_inaccessible

Returned when a report cannot be accessed. The error message provides specific details about the reason for the access failure.

404not_found

The resource wasn’t found.

GET /v2/reporting/reports/:id
curl https://api.stripe.com/v2/reporting/reports/REPLACE ME \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-07-30.basil"
Response
{
"id": "4242",
"name": "4242",
"object": "4242",
"parameters": {
"4242": {
"array_details": {
"element_type": "enum",
"enum_details": {
"allowed_values": [
"4242"
]
}
},
"description": "4242",
"enum_details": {
"allowed_values": [
"4242"
]
},
"required": true,
"timestamp_details": {
"max": "2025-01-01T00:00:00.000Z",
"min": "2025-01-01T00:00:00.000Z"
},
"type": "array"
}
},
"livemode": true
}